import Config from "@/config/index"

export function getImageUrl(imgUrl: string, width?: number, height?: number) {

    var patt = new RegExp('http');
    if (patt.test(imgUrl)) {
        if(!width) return imgUrl
        if (/oss/.test(imgUrl)) {
            return imgUrl + '?x-oss-process=image/resize,l_' + width;
        }
        if (width && !height) {
            return imgUrl + '?imageView2/2/w/' + width;
        } else if (!width && height) {
            return imgUrl + '?imageView2/2/h/' + height;
        } else if (width && height) {
            return imgUrl + '?imageView2/1/w/' + width + '/h/' + height;
        } else {
            return imgUrl;
        }
    } else {
        return Config.baseUrl + imgUrl;
    }
}


